=== debian/changelog ===
ignition-msgs (5.1.0+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Use protobuf-api-* package dependency (Closes: #980714)
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jan 2021 15:46:16 +0100

ignition-msgs (5.1.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Don't rely on IFS to split substvars

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Oct 2020 23:50:32 +0200

ignition-msgs (5.1.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add awk build dependency (for protobuf version in d/rules)
  * Add provides libignition-msgs*-protobuf$abi package

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Jul 2020 15:06:26 +0200

ignition-msgs (5.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Restrict protobuf dependency to current version

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 Jul 2020 23:10:56 +0200

ignition-msgs (5.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable failing Tests
  * Fix aptopkgtest and update dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:17:54 +0200

ignition-msgs (5.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:32:01 +0200

ignition-msgs (5.1.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update d/watch
  * New upstream version 5.1.0+dfsg
  * Rebase patch
  * Update copyright
  * Rename packages (new API)
  * Update dependencies
  * bump policy and debhelper versions (no changes)
  * Cleanup debian/

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 16:08:02 +0200
