=== debian/control ===
Source: ignition-msgs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               libgtest-dev,
               libprotoc-dev,
               libprotobuf-dev (>= 2.3.0),
               libignition-math-dev (>= 6),
               libignition-cmake-dev (>= 2),
               protobuf-compiler,
               libtinyxml2-dev,
               mawk | awk,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-msgs
Vcs-Git: https://salsa.debian.org/science-team/ignition-msgs.git
Homepage: https://ignitionrobotics.org/libs/msgs

Package: libignition-msgs5-5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${ignition:Provides}
Multi-Arch: same
Description: Set of message definitions used by robotics apps - Shared library
 Ignition msgs is a component in the Ignition framework, a set of
 librariesdesigned to rapidly develop robot applications. The library
 defines common protobuf messages used by the robotics community.
 This package contains the main message library.

Package: libignition-msgs-dev
Architecture: any
Section: libdevel
Depends: ${protobuf:API},
         libprotoc-dev,
         protobuf-compiler,
         libignition-math-dev (>= 6),
         libignition-cmake-dev (>= 2),
         libtinyxml2-dev,
         libignition-msgs5-5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Set of message definitions used by robotics apps - Dev files
 Ignition msgs is a component in the Ignition framework, a set of
 librariesdesigned to rapidly develop robot applications. The library
 defines common protobuf messages used by the robotics community.
 This package contains the headers and other tools for development.
