=== debian/changelog ===
ignition-msgs (5.1.0+dfsg-5build1) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:15:20 +0200
