=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: cmake,
                pkg-config,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
                libgtest-dev,
                libprotoc-dev,
                libprotobuf-dev (>= 2.3.0),
@@ -14,7 +14,7 @@
                protobuf-compiler,
                libtinyxml2-dev,
                mawk | awk,
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-msgs
 Vcs-Git: https://salsa.debian.org/science-team/ignition-msgs.git
@@ -36,7 +36,8 @@
 Package: libignition-msgs-dev
 Architecture: any
 Section: libdevel
-Depends: ${protobuf:API},
+Depends: libprotobuf-dev (>= ${protobuf:Upstream-Version}),
+         libprotobuf-dev (<< ${protobuf:Upstream-Version-Next}),
          libprotoc-dev,
          protobuf-compiler,
          libignition-math-dev (>= 6),
