## ignition-msgs 8.2.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,24 +3,51 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-msgs5 VERSION 5.1.0)
+project(ignition-msgs8 VERSION 8.2.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 REQUIRED)
+find_package(ignition-cmake2 2.8.0 REQUIRED)
 
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project()
+ign_configure_project(VERSION_SUFFIX)
 
 #============================================================================
 # Set project-specific options
 #============================================================================
 
-# ignition-msgs currently has no options that are unique to it
+# Cross-compilation related options
+# In a cross-compilation scenario, it is possible that the ign_msgs_gen
+# generator compiled for the target machine cannot be used to generate
+# the C++ code corresponding to the .proto definition. For this scenario,
+# the following two options can be used as follows.
+# First of all, ign-msgs is compiled targeting the host machine, and in the
+# build targeting the host, the INSTALL_IGN_MSGS_GEN_EXECUTABLE option is
+# enabled:
+# > cmake -DINSTALL_IGN_MSGS_GEN_EXECUTABLE:BOOL=ON ..
+# ensuring that the ign_msgs_gen is installed in
+# <host_install_prefix>/bin/ign_msgs_gen . Then, the same version of ign-msgs
+# can be cross-compiled, and in the cross-compilation build the location of the
+# host ign_msgs_gen is specified via the IGN_MSGS_GEN_EXECUTABLE
+# CMake cache variable:
+# > cmake -IGN_MSGS_GEN_EXECUTABLE=<host_install_prefix>/bin/ign_msgs_gen ..
+
+option(
+  INSTALL_IGN_MSGS_GEN_EXECUTABLE
+  "Install the ign_msgs_gen executable."
+  OFF)
+mark_as_advanced(INSTALL_IGN_MSGS_GEN_EXECUTABLE)
+
+set(
+  IGN_MSGS_GEN_EXECUTABLE
+  "$<TARGET_FILE:ign_msgs_gen>"
+  CACHE STRING
+  "ign_msgs_gen executable used in the ign_msgs_protoc CMake function.")
+mark_as_advanced(IGN_MSGS_GEN_EXECUTABLE)
 
 #============================================================================
 # Search for project-specific dependencies
@@ -38,13 +65,12 @@
 
 #--------------------------------------
 # Find ignition-math
-ign_find_package(ignition-math6 REQUIRED)
+ign_find_package(ignition-math6 REQUIRED VERSION 6.5)
 set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})
 
 #--------------------------------------
-# Find ignition-tools
-ign_find_package(ignition-tools
-                 QUIET)
+# Find if ign command is available
+find_program(HAVE_IGN_TOOLS ign)
 
 #--------------------------------------
 # Find Tinyxml2
@@ -89,6 +115,13 @@
 ign_create_docs(
   API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
   TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
+  AUTOGENERATED_DOC "${CMAKE_BINARY_DIR}/include/ignition/msgs/"
   TAGFILES
     "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
 )
+
+# Wait to build the doc for the autogenerated code
+# The TARGET will exist if doxygen is installed
+if(TARGET doc)
+  add_dependencies(doc ignition-msgs${PROJECT_VERSION_MAJOR})
+endif()
