=== proto/CMakeLists.txt ===

install(
  DIRECTORY ignition
  DESTINATION "${IGN_INCLUDE_INSTALL_DIR_FULL}"
  COMPONENT proto
  FILES_MATCHING PATTERN "*.proto")
