=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
   target_link_libraries(ign_msgs_gen pthread)
 endif()
 
+if(INSTALL_IGN_MSGS_GEN_EXECUTABLE)
+  set_target_properties(ign_msgs_gen PROPERTIES VERSION ${PROJECT_VERSION_FULL})
+  install(TARGETS ign_msgs_gen DESTINATION ${IGN_BIN_INSTALL_DIR})
+endif()
 
 ##################################################
 # A function that calls protoc on a protobuf file
@@ -57,7 +61,7 @@
     list(APPEND ${ign_msgs_protoc_OUTPUT_CPP_CC_VAR} ${output_source})
     list(APPEND output_files ${output_header})
     list(APPEND output_files ${output_source})
-    list(APPEND protoc_args "--plugin=protoc-gen-ignmsgs=$<TARGET_FILE:ign_msgs_gen>")
+    list(APPEND protoc_args "--plugin=protoc-gen-ignmsgs=${IGN_MSGS_GEN_EXECUTABLE}")
     list(APPEND protoc_args "--cpp_out=dllexport_decl=IGNITION_MSGS_VISIBLE:${ign_msgs_protoc_OUTPUT_CPP_DIR}")
     list(APPEND protoc_args "--ignmsgs_out" "${ign_msgs_protoc_OUTPUT_CPP_DIR}")
     set(${ign_msgs_protoc_OUTPUT_CPP_HH_VAR} ${${ign_msgs_protoc_OUTPUT_CPP_HH_VAR}} PARENT_SCOPE)
@@ -135,6 +139,8 @@
   # warning is not important since those members do not need to be interfaced
   # with.
   set_source_files_properties(${gen_sources} COMPILE_FLAGS "/wd4251 /wd4146")
+  # Fix for protobuf 3.12 - allow big object files
+  add_definitions(/bigobj)
 endif()
 
 set_source_files_properties(${gen_headers} ${gen_sources} ${gen_ruby_scripts}
@@ -179,7 +185,7 @@
 target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
   PUBLIC
     protobuf::libprotobuf
-    ${ignition-math${IGN_MATH_VER}_LIBRARIES}
+    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
   PRIVATE
     TINYXML2::TINYXML2
 )
