=== include/ignition/msgs/CMakeLists.txt ===
ign_install_all_headers(
  GENERATED_HEADERS
    MessageTypes.hh)
