=== debian/changelog ===
ignition-msgs (8.2.0+ds-1) unstable; urgency=medium

  * New upstream version 8.2.0+ds

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 31 Jan 2022 22:57:24 +0000

ignition-msgs (8.1.0+ds-4) unstable; urgency=medium

  * Team upload.
  * Add an other break for old downstream packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Jan 2022 20:55:27 +0100

ignition-msgs (8.1.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Fix multi arch path in file
  * Drop unused build dependency
  * Breaks autopkgtest of old ignition-fuel-tools

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Jan 2022 13:18:02 +0100

ignition-msgs (8.1.0+ds-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 18:22:37 +0000

ignition-msgs (8.1.0+ds-1) experimental; urgency=medium

  * New upstream version 8.1.0+ds
  * Updated metadata to SOVERSION 8
  * Move not installed files to -dev
  * Update copyright

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 12 Nov 2021 15:46:39 +0000

ignition-msgs (7.1.0+ds-1) unstable; urgency=medium

  * Update standards version
  * Change metadata for the new major version
  * New upstream version 7.1.0+ds

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Aug 2021 20:05:37 +0000
