=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Priority: optional
 Build-Depends: cmake,
                pkg-config,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libgtest-dev,
                libprotoc-dev,
                libprotobuf-dev (>= 2.3.0),
                libignition-math-dev (>= 6),
                libignition-cmake-dev (>= 2),
+               ignition-tools,
                protobuf-compiler,
                libtinyxml2-dev,
-               mawk | awk,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-msgs
 Vcs-Git: https://salsa.debian.org/science-team/ignition-msgs.git
 Homepage: https://ignitionrobotics.org/libs/msgs
 
-Package: libignition-msgs5-5
+Package: libignition-msgs8-8
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -36,16 +36,17 @@
 Package: libignition-msgs-dev
 Architecture: any
 Section: libdevel
-Depends: libprotobuf-dev (>= ${protobuf:Upstream-Version}),
-         libprotobuf-dev (<< ${protobuf:Upstream-Version-Next}),
+Depends: ${protobuf:API},
          libprotoc-dev,
          protobuf-compiler,
          libignition-math-dev (>= 6),
          libignition-cmake-dev (>= 2),
          libtinyxml2-dev,
-         libignition-msgs5-5 (= ${binary:Version}),
+         libignition-msgs8-8 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
+Breaks: libignition-fuel-tools-dev (<< 7),
+        libignition-transport-dev (<< 11),
 Description: Set of message definitions used by robotics apps - Dev files
  Ignition msgs is a component in the Ignition framework, a set of
  librariesdesigned to rapidly develop robot applications. The library
